package register

import (
	"git.gz.internal.jumaiyx.cn/jm/jmproto/conf"
	"git.gz.internal.jumaiyx.cn/pkg/go-etcd/discver"
	"github.com/go-kratos/kratos/contrib/registry/etcd/v2"
	"github.com/go-kratos/kratos/v2/log"
	"sync"
)

var mu sync.Mutex

func NewRegister(bc *conf.Etcd) (*etcd.Registry, error) {
	registry, err := discver.NewRegistry(bc)
	if err != nil {
		log.Error(err)
		return nil, err
	}

	return registry.GetReg(), nil
}
